{
    "layer": "top",
    "position": "top",
    "mod": "dock",
    "exclusive": true,
    "passthrough": false,
    "gtk-layer-shell": true,
    "height": 0,
    "modules-left": [
        "clock", 
        "cpu",
        "memory",
        "hyprland/workspaces"
    ],
    "modules-center": ["hyprland/window"],
    "modules-right": [
        "tray",
        "network",
        "custom/dualsense",
        "pulseaudio",
        "pulseaudio#microphone",
        "custom/powerMenu"
    ],
    "hyprland/window": {
        "format": "{}"
    },
    "tray": {
        "icon-size": 14,
        "spacing": 8
    },
    "custom/dualsense": {
        "tooltip": false,
        "return-type": "json",
        "exec": "$HOME/.config/waybar/dualsense-notifier.sh",
        "on-click": "dualsensectl power-off"
    },
    "custom/powerMenu": {
        "format": "⏻",
        "on-click": "rofi -show p -modi p:rofi-power-menu -theme ~/.config/rofi/themes/power.rasi"
    },
    "network": {
        "format-disconnected": " Net",
        "format-wifi": "{icon} {essid}",
        "format-ethernet": " Wired",
        "tooltip-format-ethernet": "<big>Ethernet</big>\nInterface: {ifname}\nIP: {ipaddr}\nUp/Down (bps): {bandwidthUpBits}/{bandwidthDownBits}",
        "tooltip-format-wifi": "<big>Wi-Fi</big>\nSSID: {essid}\nIP: {ipaddr}\nSignal strength: {signalStrength}%\nUp/Down (bps): {bandwidthUpBits}/{bandwidthDownBits}\nFrequency: {frequency}GHz",
        "tooltip-format-disconnected": "<big>Networking</big>\n{ifname} disconnected",
        "on-click": "terminator -x nmtui",
        "format-icons": ["", "", "", ""]
    },
    "clock": {
        "format": "{:%a, %d.%m %H:%M:%S}",
        "tooltip-format": "<big>Calendar</big>\n<tt><small>{calendar}</small></tt>",
        "interval": 1
    },
    "hyprland/workspaces": {
        "disable-scroll": true,
        "all-outputs": true,
        "on-click": "activate",
        "format": "{icon}"
    },
    "cpu": {
        "tooltip-format": "<big>CPU</big>\n<tt>Total: {usage}</tt>",
        "format": " {usage}",
        "interval": 5
    },
    "memory": {
        "format": " {percentage}",
        "interval": 5
    },
    "pulseaudio": {
        "format": "{icon} {volume}",
        "tooltip": true,
        "format-muted": " Off",
        "on-click": "pamixer -t",
        "on-scroll-up": "pamixer -i 5",
        "on-scroll-down": "pamixer -d 5",
        "scroll-step": 5,
        "format-icons": {
            "headphone": "",
            "hands-free": "",
            "headset": "",
            "phone": "",
            "portable": "",
            "car": "🏎",
            "default": ["", "", ""]
        }
    },
    "pulseaudio#microphone": {
        "format": "{format_source}",
        "format-source": " {volume}",
        "format-source-muted": " 0",
        "on-click": "pamixer --default-source -t",
        "on-scroll-up": "pamixer --default-source -i 5",
        "on-scroll-down": "pamixer --default-source -d 5",
        "scroll-step": 5
    }
}
